* {
    font-family: "Vazirmatn" !important;
    font-weight: normal;
}

/* کل اسکرول‌بار */
::-webkit-scrollbar {
    width: 10px;
    height: 10;
}

/* مسیر اسکرول‌بار (Track) */
::-webkit-scrollbar-track {
    background: transparent;
    border: 1px solid #ffffff3a;
    border-radius: 5px;
    margin: 1vh 0 1vh 1vw;
}

/* خود اسکرول (Thumb) */
::-webkit-scrollbar-thumb {
    background: #ffffff2e;
    border-radius: 10px;
}

input#username, input#password {
    color: white;
}

.space-div {
    margin-bottom: 20vh;
}

body {
    margin: 0;
    padding: 0;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    direction: rtl;
}

.dock, .profile-btn, .profile-panel {
    position: fixed;
    bottom: 20px;
    display: flex;
    background: #ffffff2e;
    backdrop-filter: blur(15px);
    border-radius: 20px;
    padding: 10px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    z-index: 101;
    flex-direction: row-reverse;
}

.icon {
    width: 40px;
    height: 40px;
    margin: 0 10px;
    cursor: pointer;
    transition: transform 0.3s ease;
    z-index: 103;
}

.icon:hover {
    transform: translateY(-10%);
}

.icon img {
    width: 100%;
    height: 100%;
}

.highlighter {
    position: absolute;
    display: none;
    top: 0;
    right: 10px;
    width: 60px;
    z-index: 102;
    height: 60px;
    background: linear-gradient(0, #ffffff30, transparent);
    border-radius: 15%;
    transition: right 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94);
    pointer-events: none;
}
.highlighter.active {
    display: block;
    transition-duration: 0.5s;
}
span.clickable {
    cursor: pointer;
}
.profile-btn , .profile-panel{
    top: 20px;
    left: 20px;
    width: 35px;
    height: 35px;
    cursor: pointer;
    transition-duration: 300ms;
}
.profile-btn:hover {
    box-shadow: 0 4px 10px rgba(255, 255, 255, 0.1);
}
.profile-btn.hide {
    display: none;
}

.profile-panel {
    display: block;
    opacity: 0;
    transform: translateX(-10px);
    transition: opacity 0.3s ease, transform 0.3s ease;
    visibility: hidden;

    width: 200px;
    height: 290px;
    cursor: default;
    padding: 15px;
}
.profile-panel span {
    font-size: 16px;
    color: white;
}

.profile-panel.show {
    opacity: 1;
    transform: translateX(0);
    visibility: visible;
}

.window-container {
    position: fixed;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
}

.window {
    background: #ffffff10;
    backdrop-filter: blur(15px);
    border-radius: 10px;
    border: 1px solid white;
    box-shadow: 0 10px 30px rgba(201, 201, 201, 0.211);
    padding: 20px 40px;
    width: 60vw;
    max-width: 80vw;
    max-height: 75vh;
    overflow: auto;
    animation: openWindow 0.5s ease-out forwards;
    display: none;
}

.window.active {
    display: block;
}

@keyframes openWindow {
    0% {
        opacity: 0;
        transform: scale(0.8) translateY(50px);
    }

    100% {
        opacity: 1;
        transform: scale(1) translateY(0);
    }
}

@keyframes closeWindow {
    0% {
        opacity: 1;
        transform: scale(1) translateY(0);
    }

    100% {
        opacity: 0;
        transform: scale(0.8) translateY(50px);
    }
}

/***************************************/
h2, h3 {
    font-weight: bold;
    font-size: 22px;
    margin-bottom: 25px;
    text-align: center;
}
h3 {
    font-size: 20px;
}
form input, form textarea, form select {
    margin-top: 10px !important;
    line-height: 30px !important;
    background-color: rgba(255, 255, 255, 0.2) !important;
    border-color: rgb(237, 237, 237) !important;
    border-radius: 7px !important;
    padding: 0 5px !important;

}
form label {
    font-size: 16px !important;
}
form select {
    height: 30px;
    padding: 3px 5px;
}
form input, form select {
    border: none;
    border-bottom: 1px solid rgb(146, 146, 146);
    width: 97%;
}
input:disabled {
    color: white !important;
    -webkit-text-fill-color: #ffffff;
    background-color: rgba(116, 116, 116, 0.2);
    opacity: 1 !important; 
}
form button, div.button, #user-manage button {
    color: white;
    width: 20%;
    font-size: 16px;
    cursor: pointer;
    float: left;
    background-color: rgba(255, 255, 255, 0.123);
    border: 1px solid white;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.24);
}
div.button {
    width: 15%;
    text-align: center;
}
